Get trade history for market arbitrage hopper

GET https://api.cryptohopper.com/v1/hopper/{id}/arbitrage/market/history/{start}/{limit}

Meant to return the finished market arbitrages of an arbitrage bot, one page at a time.

OAuth scope: read About scopes

This path is currently routed to the same handler as GET /hopper/{id}/arbitrage/exchange/history/{start}/{limit}, so it returns finished exchange arbitrages, not market arbitrages.

Example request

curl "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/arbitrage/market/history/START/LIMIT" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
limit string Required Maximum number of arbitrages to return, at most 500.
start string Required Number of arbitrages to skip (offset), 0 for the first page.
id string Required Hopper ID of an arbitrage bot.

Response

The response is JSON. An example response for this endpoint is not documented yet.

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.